Moon Phases
Uncover lunar insights with our Moon Phases API, detailing each phase's astrological significance and influence on personal growth within Western Astrology.
Step by Step Moon Phases API Postman Testing Integration
Supported Language Codes
Support Article URL: https://support.divineapi.com/general-api-support/translating-a-natal-apis-into-a-different-language
| Code | Language |
|---|---|
| en | English |
| hi | Hindi |
| pt | Portuguese |
| fr | French |
| de | German |
| ja | Japanese |
| tr | Turkish |
| ru | Russian |
| it | Italian |
| es | Spanish |
| nl | Dutch |
| pl | Polish |
Guide: These languages are supported by this API. You can use them by passing lan in the request body with the desired language code.
House System Codes
House System Codes Support Article URL: https://support.divineapi.com/western-astrology-apis/how-to-change-the-house-system-code-in-natal-astrology
| Code | System |
|---|---|
| P | Placidus |
| K | Koch |
| R | Regiomontanus |
| C | Campanus |
| A | Equal |
| W | Equal, whole sign |
| N | Whole sign, Aries = 1st house |
| X | Axial rotation system / Meridian houses |
| T | Polich/Page ("topocentric") |
| M | Morinus |
| O | Porphyry |
| B | Alcabitius |
| D | Equal / MC |
| E | Equal = A |
| F | Carter poli-equatorial |
| G | 36 Gauquelin sectors |
| H | Horizon / azimuth |
| I | Sunshine |
| i | Sunshine alternative |
| L | Pullen |
| Q | Pullen |
| S | Sripati |
| S-delta | Supported |
| S-ratio | Supported |
| U | Krusinski-Pisa-Goelzer |
| V | Equal Vehlow |
| Y | APC houses |
Note: The default house system used is P - Placidus.
API Endpoint
POST https://astroapi-4.divineapi.com/western-api/v2/moon-phases
Returns Moon Phases in the response.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Your API Access TokenExample: Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key* | String | Your API key |
| full_name* | String | Full name, e.g., Rahul Kumar |
| day* | Integer | Date of birth, e.g., 24 |
| month* | Integer | Month of birth, e.g., 05 |
| year* | Integer | Year of birth, e.g., 2023 |
| hour* | Integer | Hour, e.g., 14 |
| min* | Integer | Minute, e.g., 40 |
| sec* | Integer | Second, e.g., 43 |
| gender* | String | Gender, e.g., male |
| place* | String | Place, e.g., New Delhi |
| lat* | Float | Latitude, e.g., 28.7041 |
| lon* | Float | Longitude, e.g., 77.1025 |
| tzone* | Float | Timezone, e.g., 5.5Timezone List |
| lan | String | Language code as per the table above. Default is en. |
| house_system | String | House system code. Default: P (Placidus). |
200: OK Moon Phases Fetched Successfully
{
"success": 1,
"data": {
"phase_no": 2,
"phase_name": "Waxing Crescent Moon",
"phase_degree": "54.3334627",
"natal_moon": {
"full_degree": "117.3009018",
"longitude": "27:18:3",
"sign": "Cancer",
"house": 10
},
"content": {
"feature": "Growth, Expansion, Building momentum",
"details": [
"The Waxing Crescent phase is associated with growth, expansion, and building momentum. Astrologically, this phase reflects the early stages of development, both personally and professionally. Those born during the Waxing Crescent may be perceived as proactive individuals, keen on pursuing growth opportunities and building a foundation for future endeavors.",
"Individuals in this phase of the lunar cycle may possess a natural inclination to explore new ideas, meet challenges head-on, and cultivate a sense of adventure. They are seen as builders, laying the groundwork for their aspirations, and demonstrating resilience in the face of challenges."
]
}
}
}Example Integrations
Below are examples of how you might call this method via cURL, NodeJS, JavaScript (jQuery AJAX), and Python.
cURL
curl --location 'https://astroapi-4.divineapi.com/western-api/v2/moon-phases' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'full_name="Rahul Kumar"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi, India"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'lan="en"' \
--form 'house_system="P"'
NodeJS
var request = require('request');
var options = {
method: 'POST',
url: 'https://astroapi-4.divineapi.com/western-api/v2/moon-phases',
headers: {
'Authorization': 'Bearer {Your Auth Token}'
},
formData: {
'api_key': '{Your API Key}',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en',
'house_system': 'P'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
JavaScript (jQuery AJAX)
var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("full_name", "Rahul Kumar");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi, India");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("lan", "en");
form.append("house_system", "P");
var settings = {
url: "https://astroapi-4.divineapi.com/western-api/v2/moon-phases",
method: "POST",
timeout: 0,
headers: {
"Authorization": "Bearer {Your Auth Token}"
},
processData: false,
mimeType: "multipart/form-data",
contentType: false,
data: form
};
$.ajax(settings).done(function (response) {
console.log(response);
});
Python
import requests
url = "https://astroapi-4.divineapi.com/western-api/v2/moon-phases"
payload = {
'api_key': '{Your API Key}',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en',
'house_system': 'P'
}
headers = {
'Authorization': 'Bearer {Your Auth Token}'
}
response = requests.post(url, headers=headers, data=payload)
print(response.text)